Bug 177716 - maintainer update: sysutils/auto-admin
Summary: maintainer update: sysutils/auto-admin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-08 20:10 UTC by Jason W. Bacon
Modified: 2013-04-19 12:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.43 KB, patch)
2013-04-08 20:10 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2013-04-08 20:10:00 UTC
Improvements to auto-install-packages, various other minor enhancements.

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2013-04-19 10:07:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-04-19 12:46:02 UTC
Author: madpilot
Date: Fri Apr 19 11:45:55 2013
New Revision: 316097
URL: http://svnweb.freebsd.org/changeset/ports/316097

Log:
  - Update to 0.3.1
  - Trim Makefile headers
  - Use space for WWW line in pkg-descr
  
  PR:		ports/177716
  Submitted by:	Jason Bacon <jwbacon@tds.net> (maintainer)
  Feature safe:	yes

Modified:
  head/sysutils/auto-admin/Makefile   (contents, props changed)
  head/sysutils/auto-admin/distinfo   (contents, props changed)
  head/sysutils/auto-admin/pkg-descr   (contents, props changed)
  head/sysutils/auto-admin/pkg-plist   (contents, props changed)

Modified: head/sysutils/auto-admin/Makefile
==============================================================================
--- head/sysutils/auto-admin/Makefile	Fri Apr 19 11:16:20 2013	(r316096)
+++ head/sysutils/auto-admin/Makefile	Fri Apr 19 11:45:55 2013	(r316097)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	auto-admin
-# Date created:		2011-11-01
-# Whom:			Jason Bacon <jwbacon@tds.net>
-#
+# Created by: Jason Bacon <jwbacon@tds.net>
 # $FreeBSD$
-#
 
 PORTNAME=	auto-admin
-PORTVERSION=	0.3
+PORTVERSION=	0.3.1
 CATEGORIES=	sysutils
 MASTER_SITES=	http://acadix.biz/Ports/distfiles/ \
 		http://personalpages.tds.net/~jwbacon/Ports/distfiles/
@@ -18,16 +14,16 @@ NO_BUILD=	yes
 
 MAN1=		auto-admin.1 \
 		auto-amd-nfs-setup.1 \
-		auto-amd-local-setup.1 \
 		auto-append-line.1 \
 		auto-ask.1 \
 		auto-clean-ports.1 \
+		auto-db-dir.1 \
 		auto-disable-service.1 \
 		auto-enable-compat32.1 \
 		auto-enable-passwdqc.1 \
 		auto-enable-procfs.1 \
 		auto-enable-service.1 \
-		auto-set-suspend-on-lid.1 \
+		auto-set-suspend-mode.1 \
 		auto-fastest-mirror.1 \
 		auto-install-packages.1 \
 		auto-ipfw-gateway-setup.1 \
@@ -35,6 +31,7 @@ MAN1=		auto-admin.1 \
 		auto-ldap-adduser.1 \
 		auto-ldap-client-setup.1 \
 		auto-package-installed.1 \
+		auto-print-make-variable.1 \
 		auto-replace-file.1 \
 		auto-service-enabled.1 \
 		auto-update-port-framework.1 \
@@ -43,11 +40,12 @@ MAN1=		auto-admin.1 \
 
 do-install:
 	${MKDIR} ${PREFIX}/sbin ${DATADIR}
-	${INSTALL_SCRIPT} ${WRKSRC}/Scripts/* ${PREFIX}/sbin
+	${INSTALL_SCRIPT} ${WRKSRC}/Scripts/Common/* ${PREFIX}/sbin
+	${INSTALL_SCRIPT} ${WRKSRC}/Scripts/FreeBSD/* ${PREFIX}/sbin
 	${INSTALL_DATA} ${WRKSRC}/Data/* ${DATADIR}
 	${INSTALL_MAN} ${WRKSRC}/Doc/auto-admin.man \
 		${MANPREFIX}/man/man1/auto-admin.1
-	for name in ${WRKSRC}/Scripts/*; do \
+	for name in ${WRKSRC}/Scripts/Common/* ${WRKSRC}/Scripts/FreeBSD/*; do \
 		${INSTALL_MAN} ${WRKSRC}/Doc/auto-admin.man \
 			${MANPREFIX}/man/man1/`basename $${name}`.1; \
 	done

Modified: head/sysutils/auto-admin/distinfo
==============================================================================
--- head/sysutils/auto-admin/distinfo	Fri Apr 19 11:16:20 2013	(r316096)
+++ head/sysutils/auto-admin/distinfo	Fri Apr 19 11:45:55 2013	(r316097)
@@ -1,2 +1,2 @@
-SHA256 (auto-admin-0.3.tar.gz) = 8d9b93415e19d44a733057b6c7fd07ef248bc163321e609e5baa824842dfd970
-SIZE (auto-admin-0.3.tar.gz) = 12637
+SHA256 (auto-admin-0.3.1.tar.gz) = 2ce68653d2dd21ebcd276e6ddc86e5c2f9b61524e9755b417681bf4239789867
+SIZE (auto-admin-0.3.1.tar.gz) = 18649

Modified: head/sysutils/auto-admin/pkg-descr
==============================================================================
--- head/sysutils/auto-admin/pkg-descr	Fri Apr 19 11:16:20 2013	(r316096)
+++ head/sysutils/auto-admin/pkg-descr	Fri Apr 19 11:45:55 2013	(r316097)
@@ -2,4 +2,4 @@ Auto-admin is a set of tools for automat
 from the command line.  It is meant as a library of scripts to be used by
 more specific automated systems management scripts.
 
-WWW:	http://acadix.biz/auto-admin.php
+WWW: http://acadix.biz/auto-admin.php

Modified: head/sysutils/auto-admin/pkg-plist
==============================================================================
--- head/sysutils/auto-admin/pkg-plist	Fri Apr 19 11:16:20 2013	(r316096)
+++ head/sysutils/auto-admin/pkg-plist	Fri Apr 19 11:45:55 2013	(r316097)
@@ -1,8 +1,8 @@
-sbin/auto-amd-local-setup
 sbin/auto-amd-nfs-setup
 sbin/auto-append-line
 sbin/auto-ask
 sbin/auto-clean-ports
+sbin/auto-db-dir
 sbin/auto-disable-service
 sbin/auto-enable-compat32
 sbin/auto-enable-passwdqc
@@ -15,9 +15,10 @@ sbin/auto-kdm3-toggle
 sbin/auto-ldap-adduser
 sbin/auto-ldap-client-setup
 sbin/auto-package-installed
+sbin/auto-print-make-variable
 sbin/auto-replace-file
 sbin/auto-service-enabled
-sbin/auto-set-suspend-on-lid
+sbin/auto-set-suspend-mode
 sbin/auto-update-port-framework
 sbin/auto-update-xorg.conf
 sbin/auto-xdm-toggle
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Guido Falsi freebsd_committer 2013-04-19 12:47:14 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!